package cn.ibizlab.core.dict.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import cn.ibizlab.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.Data;


import com.baomidou.mybatisplus.annotation.*;

/**
 * 实体[字典项目]
 */
@Data
@TableName(value = "IBZDICTITEM",resultMap = "IBZDictItemResultMap")
public class IBZDictItem extends EntityBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 字典项目标识
     */
    @DEField(isKeyField=true)
    @TableId(value= "ibzdictitemid",type=IdType.UUID)
    private String itemid;

    /**
     * 栏目显示值
     */
    @TableField(value = "ibzdictitemname")
    private String itemname;

    /**
     * 栏目值
     */
    @TableField(value = "dictitemval")
    private String itemval;

    /**
     * 字典标识
     */
    @TableField(value = "dictid")
    private String dictid;

    /**
     * 父栏目值
     */
    @TableField(value = "pitemval")
    private String pitemval;

    /**
     * 过滤项
     */
    @TableField(value = "itemfilter")
    private String itemfilter;

    /**
     * 栏目样式
     */
    @DEField(defaultValue = "itemcls" , defaultValueType = DEFieldDefaultValueType.PARAM)
    @TableField(value = "itemcls")
    private String itemcls;

    /**
     * 图标
     */
    @DEField(defaultValue = "no,png")
    @TableField(value = "itemicon")
    private String itemicon;

    /**
     * 排序
     */
    @TableField(value = "showorder")
    private Integer showorder;

    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Timestamp createdate;

    /**
     * 更新时间
     */
    @DEField(defaultValueType = DEFieldDefaultValueType.CURTIME , preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Timestamp updatedate;

    /**
     * 建立人
     */
    @DEField(preType = DEPredefinedFieldType.CREATEMAN)
    @TableField(value = "createman" , fill = FieldFill.INSERT)
    private String createman;

    /**
     * 更新人
     */
    @DEField(defaultValue = "SRFPERSONID" , defaultValueType = DEFieldDefaultValueType.SESSION , preType = DEPredefinedFieldType.UPDATEMAN)
    @TableField(value = "updateman")
    private String updateman;


    /**
     * 字典
     */
    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)
    private IBZDict dict;



    /**
     * 设置 [栏目显示值]
     */
    public void setItemname(String itemname){
        this.itemname = itemname ;
        this.modify("ibzdictitemname",itemname);
    }
    /**
     * 设置 [栏目值]
     */
    public void setItemval(String itemval){
        this.itemval = itemval ;
        this.modify("dictitemval",itemval);
    }
    /**
     * 设置 [字典标识]
     */
    public void setDictid(String dictid){
        this.dictid = dictid ;
        this.modify("dictid",dictid);
    }
    /**
     * 设置 [父栏目值]
     */
    public void setPitemval(String pitemval){
        this.pitemval = pitemval ;
        this.modify("pitemval",pitemval);
    }
    /**
     * 设置 [过滤项]
     */
    public void setItemfilter(String itemfilter){
        this.itemfilter = itemfilter ;
        this.modify("itemfilter",itemfilter);
    }
    /**
     * 设置 [栏目样式]
     */
    public void setItemcls(String itemcls){
        this.itemcls = itemcls ;
        this.modify("itemcls",itemcls);
    }
    /**
     * 设置 [图标]
     */
    public void setItemicon(String itemicon){
        this.itemicon = itemicon ;
        this.modify("itemicon",itemicon);
    }
    /**
     * 设置 [排序]
     */
    public void setShoworder(Integer showorder){
        this.showorder = showorder ;
        this.modify("showorder",showorder);
    }
}

