package cn.ibizlab.core.dict.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;

import cn.ibizlab.util.ISearchFilter;
import cn.ibizlab.util.SearchFieldFilter;
import cn.ibizlab.util.enums.SearchFieldType;
import cn.ibizlab.util.enums.SearchGroupType;
import cn.ibizlab.util.SearchGroupFilter;
import org.springframework.util.StringUtils;



import cn.ibizlab.util.service.MybatisSearchContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.dict.domain.IBZDictItem;
/**
 * 关系型数据实体[IBZDictItem] 查询条件对象
 */
@Slf4j
@Data
public class IBZDictItemSearchContext extends MybatisSearchContext {

   private QueryWrapper<IBZDictItem> selectCond=new QueryWrapper();

	private String n_ibzdictitemname_like;//[栏目显示值]
	public void setN_ibzdictitemname_like(String n_ibzdictitemname_like) {
        this.n_ibzdictitemname_like = n_ibzdictitemname_like;
        if(!StringUtils.isEmpty(this.n_ibzdictitemname_like)){
            this.selectCond.like("ibzdictitemname", n_ibzdictitemname_like);
        }
    }
	private String n_dictitemval_like;//[栏目值]
	public void setN_dictitemval_like(String n_dictitemval_like) {
        this.n_dictitemval_like = n_dictitemval_like;
        if(!StringUtils.isEmpty(this.n_dictitemval_like)){
            this.selectCond.like("dictitemval", n_dictitemval_like);
        }
    }
	private String n_dictid_eq;//[字典标识]
	public void setN_dictid_eq(String n_dictid_eq) {
        this.n_dictid_eq = n_dictid_eq;
        if(!StringUtils.isEmpty(this.n_dictid_eq)){
            this.selectCond.eq("dictid", n_dictid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.selectCond.or().like("ibzdictitemname",query);
		 }
	}
}




